/*
   function to give pointer to first character of PL/I string,
   given descriptor pointer
*/
#include <clang.c>;
#include <plistring.c>;/*internal definitions, without function typing*/
/*
 note: we never see string literals (2nd flag bit set & characters following),
 since PL/I does not pass literals as arguments but passes a copy in a temp.
*/

charpointer function plistr(sdp)
  register plistring sdp;
{
  return( ifx sdp isfixed
	    thenx *(sdp->plisdptr.plisdfsp)
	    elsex (sdp->plisdptr.plisdvsp)->plivschr );
}
